public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile/, dev-scheme/guile/files/
@ 2016-09-21 18:11 Amy Winston
  0 siblings, 0 replies; 16+ messages in thread
From: Amy Winston @ 2016-09-21 18:11 UTC (permalink / raw
  To: gentoo-commits

commit:     cdf949db050341aec29539c5fb926f60b7fcffad
Author:     Amy Winston <amynka <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 21 17:58:59 2016 +0000
Commit:     Amy Winston <amynka <AT> gentoo <DOT> org>
CommitDate: Wed Sep 21 18:01:45 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cdf949db

dev-scheme/guile: add patch for bug #594010

Package-Manager: portage-2.2.28

 ...uile-2.0.12-workaround-ice-ssa-corruption.patch | 64 ++++++++++++++++++++++
 dev-scheme/guile/guile-2.0.12-r1.ebuild            |  3 +-
 2 files changed, 66 insertions(+), 1 deletion(-)

diff --git a/dev-scheme/guile/files/guile-2.0.12-workaround-ice-ssa-corruption.patch b/dev-scheme/guile/files/guile-2.0.12-workaround-ice-ssa-corruption.patch
new file mode 100644
index 00000000..54f3158
--- /dev/null
+++ b/dev-scheme/guile/files/guile-2.0.12-workaround-ice-ssa-corruption.patch
@@ -0,0 +1,64 @@
+libguile/vm-i-system.c: workaround ice ssa corruption while compiling with option -g -O
+
+While compiling with option -g -O, there was a ssa corruption:
+..
+Unable to coalesce ssa_names 48 and 3476 which are marked as MUST COALESCE.
+sp_48(ab) and  sp_3476(ab)
+guile-2.0.11/libguile/vm-engine.c: In function 'vm_debug_engine':
+guile-2.0.11/libguile/vm.c:673:19: internal compiler error: SSA corruption
+ #define VM_NAME   vm_debug_engine
+                   ^
+guile-2.0.11/libguile/vm-engine.c:39:1: note: in expansion of macro 'VM_NAME'
+ VM_NAME (SCM vm, SCM program, SCM *argv, int nargs)
+ ^
+Please submit a full bug report,
+with preprocessed source if appropriate.
+See <http://gcc.gnu.org/bugs.html> for instructions.
+...
+
+Tweak libguile/vm-i-system.c to add boundary value check to workaround it.
+
+Upstream-Status: Pending
+
+Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>
+
+Fixes Buildroot autobuilder failures on AArch64.
+
+Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
+---
+ libguile/vm-i-system.c | 20 ++++++++++++++++----
+ 1 file changed, 16 insertions(+), 4 deletions(-)
+
+diff --git a/libguile/vm-i-system.c b/libguile/vm-i-system.c
+--- a/libguile/vm-i-system.c
++++ b/libguile/vm-i-system.c
+@@ -625,10 +625,22 @@ VM_DEFINE_INSTRUCTION (47, bind_optionals_shuffle, "bind-optionals/shuffle", 6,
+   /* now shuffle up, from walk to ntotal */
+   {
+     scm_t_ptrdiff nshuf = sp - walk + 1, i;
+-    sp = (fp - 1) + ntotal + nshuf;
+-    CHECK_OVERFLOW ();
+-    for (i = 0; i < nshuf; i++)
+-      sp[-i] = walk[nshuf-i-1];
++    /* check the value of nshuf to workaround ice ssa corruption */
++    /* while compiling with -O -g */
++    if (nshuf > 0)
++    {
++      sp = (fp - 1) + ntotal + nshuf;
++      CHECK_OVERFLOW ();
++      for (i = 0; i < nshuf; i++)
++        sp[-i] = walk[nshuf-i-1];
++    }
++    else
++    {
++      sp = (fp - 1) + ntotal + nshuf;
++      CHECK_OVERFLOW ();
++      for (i = 0; i < nshuf; i++)
++        sp[-i] = walk[nshuf-i-1];
++    }
+   }
+   /* and fill optionals & keyword args with SCM_UNDEFINED */
+   while (walk <= (fp - 1) + ntotal)
+-- 
+1.9.1
+

diff --git a/dev-scheme/guile/guile-2.0.12-r1.ebuild b/dev-scheme/guile/guile-2.0.12-r1.ebuild
index 35bd1b0..7a08ad6 100644
--- a/dev-scheme/guile/guile-2.0.12-r1.ebuild
+++ b/dev-scheme/guile/guile-2.0.12-r1.ebuild
@@ -31,7 +31,8 @@ DEPEND="${RDEPEND}
 SLOT="12/22" # subslot is soname version
 MAJOR="2.0"
 
-PATCHES=( "${FILESDIR}/${P}-build_includes2.patch" ) #bug 590528 patched by upstream second try
+PATCHES=( "${FILESDIR}/${P}-build_includes2.patch"
+	  "${FILESDIR}/${P}-workaround-ice-ssa-corruption.patch" ) # includes2 bug 590528 patched by upstream, bug 594010
 DOCS=( GUILE-VERSION HACKING README )
 
 src_prepare() {


^ permalink raw reply related	[flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile/, dev-scheme/guile/files/
@ 2024-06-08  8:55 Sam James
  0 siblings, 0 replies; 16+ messages in thread
From: Sam James @ 2024-06-08  8:55 UTC (permalink / raw
  To: gentoo-commits

commit:     3b08642c4b3b045d56d04cce83f61b6bb62c5c50
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jun  8 08:52:14 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jun  8 08:54:58 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b08642c

dev-scheme/guile: drop 3.0.8-r1

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-scheme/guile/Manifest                          |  1 -
 .../files/guile-3.0.8-configure-clang16.patch      | 32 --------
 dev-scheme/guile/guile-3.0.8-r1.ebuild             | 90 ----------------------
 3 files changed, 123 deletions(-)

diff --git a/dev-scheme/guile/Manifest b/dev-scheme/guile/Manifest
index 87382b204a05..39a504522eaf 100644
--- a/dev-scheme/guile/Manifest
+++ b/dev-scheme/guile/Manifest
@@ -1,4 +1,3 @@
 DIST guile-1.8.8.tar.gz 3956654 BLAKE2B 4820d635ac2c57526c0c03f3e0e6e4ac4276533ea8db15e6d1b759c33edec094a1a4bdc3e09ccae61f1b271d63565063746feea242a90c18cd575775444a42ef SHA512 ede6feb90cd419d8763feb8c5169275490a653919573c4dfced025b74cf591072b3a10ffb9a3f6ee3fe7b0a0956ffcf434e0859b421455c8349cea56bf427db0
 DIST guile-2.2.7.tar.xz 10881984 BLAKE2B e2b1fe7cb010371beaaf32f8f173397c90fd291ed7d5835b9d976f37fd133254841b4179bd1e1cd02e604c7befcab6c25f85d20ba0850f96978f7c32ca1fe6d8 SHA512 6f60b3489e26f5ff32b55c89316cdcdbf3ec1f4344726006e445f24098c922c50becdc748f1b66d2b271dc002e409ee6210bf85da779cee1f68c9111b3b5c543
-DIST guile-3.0.8.tar.xz 6200072 BLAKE2B 6ab6bfd18889d0d263e5e06ff1284ec025437e53541eb8e9632bd345fda34e394b2228661e9319e8a4e87fd8c675605184b290d875c5c1bbc20bf8c4d32a92b7 SHA512 5d1d93e3e22c524ea3c2fe28cf3c343ab8ba99bf5c7b8750c4ebcaf556ae21485fb99e5ccc50c4b07037cdc678552557753d67ef2c93d8c1b62603e1809418f6
 DIST guile-3.0.9.tar.xz 5750636 BLAKE2B 693f189bda52468d989f27c9482b515b8a14ed814d6e4a9a988d7a03d9789903a568b41c5e3ae524b3a51cc635693cd20245b2017efabb9774be59c298823083 SHA512 a1e47a60a654f26edc57b3a34d943e15a055fc85c3cc764e912be23a80d56534b16f3512d7c7bc426f24a0cac1fcc9556802ac248f10c1fbdde51cd1e24afaf2

diff --git a/dev-scheme/guile/files/guile-3.0.8-configure-clang16.patch b/dev-scheme/guile/files/guile-3.0.8-configure-clang16.patch
deleted file mode 100644
index 6a4cc770dfae..000000000000
--- a/dev-scheme/guile/files/guile-3.0.8-configure-clang16.patch
+++ /dev/null
@@ -1,32 +0,0 @@
-https://src.fedoraproject.org/rpms/guile30/c/47f608ff4988547350e722606890698e3ec59e95?branch=rawhide
-
-Avoid implicit ints in the guile_cv_localtime_cache check.  It cause
-the check to always fail with strict(er) C99 compilers that do not
-support implicit int.
-
-Submitted upstream:
-
-  <https://lists.gnu.org/archive/html/bug-guile/2022-12/msg00017.html>
-  <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60022>
-
---- a/configure.ac
-+++ b/configure.ac
-@@ -1086,7 +1086,7 @@ AC_RUN_IFELSE([AC_LANG_SOURCE([[#include <time.h>
- # include <stdlib.h>
- #endif
- extern char **environ;
--unset_TZ ()
-+int unset_TZ ()
- {
-   char **from, **to;
-   for (to = from = environ; (*to = *from); from++)
-@@ -1095,7 +1095,7 @@ unset_TZ ()
- }
- char TZ_GMT0[] = "TZ=GMT0";
- char TZ_PST8[] = "TZ=PST8";
--main()
-+int main()
- {
-   time_t now = time ((time_t *) 0);
-   int hour_GMT0, hour_unset;
-

diff --git a/dev-scheme/guile/guile-3.0.8-r1.ebuild b/dev-scheme/guile/guile-3.0.8-r1.ebuild
deleted file mode 100644
index 207afaf4cde2..000000000000
--- a/dev-scheme/guile/guile-3.0.8-r1.ebuild
+++ /dev/null
@@ -1,90 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit autotools
-
-MAJOR="3.0"
-DESCRIPTION="GNU Ubiquitous Intelligent Language for Extensions"
-HOMEPAGE="https://www.gnu.org/software/guile/"
-SRC_URI="mirror://gnu/guile/${P}.tar.xz"
-
-LICENSE="LGPL-3+"
-SLOT="12/3.0-1" # libguile-2.2.so.1 => 2.2-1
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
-
-IUSE="debug debug-malloc +deprecated +jit +networking +nls +regex +threads" # upstream recommended +networking +nls
-REQUIRED_USE="regex" # workaround for bug 596322
-RESTRICT="strip"
-
-RDEPEND="
-	>=dev-libs/boehm-gc-7.0[threads?]
-	dev-libs/gmp:=
-	dev-libs/libffi:=
-	dev-libs/libatomic_ops
-	dev-libs/libunistring:=
-	sys-libs/ncurses:=
-	sys-libs/readline:=
-	virtual/libcrypt:="
-DEPEND="${RDEPEND}"
-BDEPEND="
-	virtual/pkgconfig
-	dev-build/libtool
-	sys-devel/gettext"
-
-# guile generates ELF files without use of C or machine code
-# It's false positive. bug #677600
-QA_PREBUILT='*[.]go'
-
-DOCS=( GUILE-VERSION HACKING README )
-
-PATCHES=(
-	"${FILESDIR}/${PN}-2.2.3-gentoo-sandbox.patch"
-	"${FILESDIR}/${P}-configure-clang16.patch"
-)
-
-src_prepare() {
-	default
-
-	# Can drop once guile-3.0.8-configure-clang16.patch merged
-	eautoreconf
-}
-
-src_configure() {
-	# see bug #676468
-	mv prebuilt/32-bit-big-endian{,.broken} || die
-
-	econf \
-		--disable-error-on-warning \
-		--disable-rpath \
-		--disable-lto \
-		--enable-posix \
-		--without-libgmp-prefix \
-		--without-libiconv-prefix \
-		--without-libintl-prefix \
-		--without-libreadline-prefix \
-		--without-libunistring-prefix \
-		$(use_enable debug guile-debug) \
-		$(use_enable debug-malloc) \
-		$(use_enable deprecated) \
-		$(use_enable jit) \
-		$(use_enable networking) \
-		$(use_enable nls) \
-		$(use_enable regex) \
-		$(use_with threads)
-}
-
-src_install() {
-	default
-
-	# From Novell
-	# https://bugzilla.novell.com/show_bug.cgi?id=874028#c0
-	dodir /usr/share/gdb/auto-load/$(get_libdir)
-	mv "${ED}"/usr/$(get_libdir)/libguile-*-gdb.scm "${ED}"/usr/share/gdb/auto-load/$(get_libdir) || die
-
-	# necessary for registering slib, see bug #206896
-	keepdir /usr/share/guile/site
-
-	find "${ED}" -name '*.la' -delete || die
-}


^ permalink raw reply related	[flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile/, dev-scheme/guile/files/
@ 2023-07-03 17:51 Ulrich Müller
  0 siblings, 0 replies; 16+ messages in thread
From: Ulrich Müller @ 2023-07-03 17:51 UTC (permalink / raw
  To: gentoo-commits

commit:     02b73f5b9f824c843fe75cdf55daf0df69bbd1a2
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 29 17:25:15 2023 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Mon Jul  3 17:50:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02b73f5b

dev-scheme/guile: Drop trivial Emacs site-init file

Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 dev-scheme/guile/files/50guile-gentoo.el | 1 -
 dev-scheme/guile/guile-1.8.8-r4.ebuild   | 4 ++--
 2 files changed, 2 insertions(+), 3 deletions(-)

diff --git a/dev-scheme/guile/files/50guile-gentoo.el b/dev-scheme/guile/files/50guile-gentoo.el
deleted file mode 100644
index 431f7e90ae73..000000000000
--- a/dev-scheme/guile/files/50guile-gentoo.el
+++ /dev/null
@@ -1 +0,0 @@
-(add-to-list 'load-path "@SITELISP@")

diff --git a/dev-scheme/guile/guile-1.8.8-r4.ebuild b/dev-scheme/guile/guile-1.8.8-r4.ebuild
index e4d5e582d1d9..42981466c5f7 100644
--- a/dev-scheme/guile/guile-1.8.8-r4.ebuild
+++ b/dev-scheme/guile/guile-1.8.8-r4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -115,7 +115,7 @@ src_install() {
 
 	if use emacs; then
 		elisp-install ${PN} emacs/*.{el,elc}
-		elisp-site-file-install "${FILESDIR}/50${PN}-gentoo.el"
+		elisp-make-site-file "50${PN}-gentoo.el"
 	fi
 }
 


^ permalink raw reply related	[flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile/, dev-scheme/guile/files/
@ 2023-01-04  4:32 Sam James
  0 siblings, 0 replies; 16+ messages in thread
From: Sam James @ 2023-01-04  4:32 UTC (permalink / raw
  To: gentoo-commits

commit:     bb73d2900a3e83433ee1ea76c19f5d17be096821
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jan  4 04:13:57 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jan  4 04:32:00 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb73d290

dev-scheme/guile: fix configure w/ clang 16 (3.0.x)

Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../files/guile-3.0.8-configure-clang16.patch      | 32 ++++++++++++++++++++++
 .../{guile-3.0.8.ebuild => guile-3.0.8-r1.ebuild}  | 20 ++++++++++----
 2 files changed, 47 insertions(+), 5 deletions(-)

diff --git a/dev-scheme/guile/files/guile-3.0.8-configure-clang16.patch b/dev-scheme/guile/files/guile-3.0.8-configure-clang16.patch
new file mode 100644
index 000000000000..6a4cc770dfae
--- /dev/null
+++ b/dev-scheme/guile/files/guile-3.0.8-configure-clang16.patch
@@ -0,0 +1,32 @@
+https://src.fedoraproject.org/rpms/guile30/c/47f608ff4988547350e722606890698e3ec59e95?branch=rawhide
+
+Avoid implicit ints in the guile_cv_localtime_cache check.  It cause
+the check to always fail with strict(er) C99 compilers that do not
+support implicit int.
+
+Submitted upstream:
+
+  <https://lists.gnu.org/archive/html/bug-guile/2022-12/msg00017.html>
+  <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60022>
+
+--- a/configure.ac
++++ b/configure.ac
+@@ -1086,7 +1086,7 @@ AC_RUN_IFELSE([AC_LANG_SOURCE([[#include <time.h>
+ # include <stdlib.h>
+ #endif
+ extern char **environ;
+-unset_TZ ()
++int unset_TZ ()
+ {
+   char **from, **to;
+   for (to = from = environ; (*to = *from); from++)
+@@ -1095,7 +1095,7 @@ unset_TZ ()
+ }
+ char TZ_GMT0[] = "TZ=GMT0";
+ char TZ_PST8[] = "TZ=PST8";
+-main()
++int main()
+ {
+   time_t now = time ((time_t *) 0);
+   int hour_GMT0, hour_unset;
+

diff --git a/dev-scheme/guile/guile-3.0.8.ebuild b/dev-scheme/guile/guile-3.0.8-r1.ebuild
similarity index 89%
rename from dev-scheme/guile/guile-3.0.8.ebuild
rename to dev-scheme/guile/guile-3.0.8-r1.ebuild
index ae641ae3cfb4..9b6beb93e876 100644
--- a/dev-scheme/guile/guile-3.0.8.ebuild
+++ b/dev-scheme/guile/guile-3.0.8-r1.ebuild
@@ -1,8 +1,10 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
+inherit autotools
+
 MAJOR="3.0"
 DESCRIPTION="GNU Ubiquitous Intelligent Language for Extensions"
 HOMEPAGE="https://www.gnu.org/software/guile/"
@@ -31,15 +33,23 @@ BDEPEND="
 	sys-devel/libtool
 	sys-devel/gettext"
 
+# guile generates ELF files without use of C or machine code
+# It's false positive. bug #677600
+QA_PREBUILT='*[.]go'
+
+DOCS=( GUILE-VERSION HACKING README )
+
 PATCHES=(
 	"${FILESDIR}/${PN}-2.2.3-gentoo-sandbox.patch"
+	"${FILESDIR}/${P}-configure-clang16.patch"
 )
 
-# guile generates ELF files without use of C or machine code
-# It's a portage's false positive. bug #677600
-QA_PREBUILT='*[.]go'
+src_prepare() {
+	default
 
-DOCS=( GUILE-VERSION HACKING README )
+	# Can drop once guile-3.0.8-configure-clang16.patch merged
+	eautoreconf
+}
 
 src_configure() {
 	# see bug #676468


^ permalink raw reply related	[flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile/, dev-scheme/guile/files/
@ 2022-03-15 19:25 Maciej Barć
  0 siblings, 0 replies; 16+ messages in thread
From: Maciej Barć @ 2022-03-15 19:25 UTC (permalink / raw
  To: gentoo-commits

commit:     da6351c2e7256e8cf151a98ba10cb4e904a84ffb
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 15 19:24:23 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Mar 15 19:25:06 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da6351c2

dev-scheme/guile: port 1.8 to EAPI 8

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 .../guile/files/guile-1.8.8-gtexinfo-5.patch       |   4 +-
 ...guile-1.8.8-r3.ebuild => guile-1.8.8-r4.ebuild} | 110 +++++++++++----------
 2 files changed, 61 insertions(+), 53 deletions(-)

diff --git a/dev-scheme/guile/files/guile-1.8.8-gtexinfo-5.patch b/dev-scheme/guile/files/guile-1.8.8-gtexinfo-5.patch
index d7fbda15c101..703e1fab9a48 100644
--- a/dev-scheme/guile/files/guile-1.8.8-gtexinfo-5.patch
+++ b/dev-scheme/guile/files/guile-1.8.8-gtexinfo-5.patch
@@ -2,8 +2,8 @@ $NetBSD: patch-doc_tutorial_guile-tut.texi,v 1.1 2013/11/30 07:06:25 dsainty Exp
 
 Compatibility with gtexinfo 5.2
 
---- doc/tutorial/guile-tut.texi	2010-12-14 06:24:39.000000000 +1300
-+++ doc/tutorial/guile-tut.texi	2013-11-30 19:44:28.304575529 +1300
+--- a/doc/tutorial/guile-tut.texi	2010-12-14 06:24:39.000000000 +1300
++++ b/doc/tutorial/guile-tut.texi	2013-11-30 19:44:28.304575529 +1300
 @@ -446,7 +446,7 @@
  Schemer} from that list.}
  

diff --git a/dev-scheme/guile/guile-1.8.8-r3.ebuild b/dev-scheme/guile/guile-1.8.8-r4.ebuild
similarity index 57%
rename from dev-scheme/guile/guile-1.8.8-r3.ebuild
rename to dev-scheme/guile/guile-1.8.8-r4.ebuild
index bd9822080ac9..e4d5e582d1d9 100644
--- a/dev-scheme/guile/guile-1.8.8-r3.ebuild
+++ b/dev-scheme/guile/guile-1.8.8-r4.ebuild
@@ -1,56 +1,64 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-inherit epatch autotools flag-o-matic elisp-common
+EAPI=8
 
-DESCRIPTION="Scheme interpreter"
+MAJOR="1.8"
+
+inherit autotools flag-o-matic elisp-common
+
+DESCRIPTION="GNU Ubiquitous Intelligent Language for Extensions"
 HOMEPAGE="https://www.gnu.org/software/guile/"
 SRC_URI="mirror://gnu/guile/${P}.tar.gz"
 
 LICENSE="LGPL-2.1"
 KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
 IUSE="debug debug-freelist debug-malloc +deprecated discouraged emacs networking nls readline +regex +threads"
-
 RESTRICT="!regex? ( test )"
 
+# Guile seems to contain some slotting support, /usr/share/guile/ is slotted,
+# but there are lots of collisions. Most in /usr/share/libguile. Therefore
+# I'm slotting this in the same slot as guile-1.6* for now.
+SLOT="12/8"
+
 RDEPEND="
 	>=dev-libs/gmp-4.1:0=
 	dev-libs/libltdl:0=
 	sys-devel/gettext
 	sys-libs/ncurses:0=
 	virtual/libcrypt:=
-	emacs? ( >=app-editors/emacs-23.1:* )
-	readline? ( sys-libs/readline:0= )"
-DEPEND="${RDEPEND}
+	readline? ( sys-libs/readline:0= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
 	sys-apps/texinfo
-	sys-devel/libtool"
-
-# Guile seems to contain some slotting support, /usr/share/guile/ is slotted,
-# but there are lots of collisions. Most in /usr/share/libguile. Therefore
-# I'm slotting this in the same slot as guile-1.6* for now.
-SLOT="12/8"
-MAJOR="1.8"
+	sys-devel/libtool
+	emacs? ( >=app-editors/emacs-23.1:* )
+"
+
+PATCHES=(
+	"${FILESDIR}"/${P}-fix_guile-config.patch
+	"${FILESDIR}"/${P}-gcc46.patch
+	"${FILESDIR}"/${P}-gcc5.patch
+	"${FILESDIR}"/${P}-makeinfo-5.patch
+	"${FILESDIR}"/${P}-gtexinfo-5.patch
+	"${FILESDIR}"/${P}-readline.patch
+	"${FILESDIR}"/${P}-tinfo.patch
+	"${FILESDIR}"/${P}-sandbox.patch
+	"${FILESDIR}"/${P}-mkdir-mask.patch
+	"${FILESDIR}"/${PN}-1.8.8-texinfo-6.7.patch
+)
+
+DOCS=( AUTHORS ChangeLog GUILE-VERSION HACKING NEWS README THANKS )
 
 src_prepare() {
-	epatch "${FILESDIR}/${P}-fix_guile-config.patch" \
-		"${FILESDIR}/${P}-gcc46.patch" \
-		"${FILESDIR}/${P}-gcc5.patch" \
-		"${FILESDIR}/${P}-makeinfo-5.patch" \
-		"${FILESDIR}/${P}-gtexinfo-5.patch" \
-		"${FILESDIR}/${P}-readline.patch" \
-		"${FILESDIR}/${P}-tinfo.patch" \
-		"${FILESDIR}/${P}-sandbox.patch" \
-		"${FILESDIR}/${P}-mkdir-mask.patch" \
-		"${FILESDIR}/${PN}-1.8.8-texinfo-6.7.patch"
+	default
 
 	sed \
 		-e "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g" \
 		-e "/AM_PROG_CC_STDC/d" \
 		-i guile-readline/configure.in || die
 
-	epatch_user
-
 	mv "${S}"/configure.{in,ac} || die
 	mv "${S}"/guile-readline/configure.{in,ac} || die
 
@@ -62,24 +70,25 @@ src_configure() {
 	filter-flags -ftree-vectorize
 
 	#will fail for me if posix is disabled or without modules -- hkBst
-	econf \
-		--disable-error-on-warning \
-		--disable-static \
-		--enable-posix \
-		$(use_enable networking) \
-		$(use_enable readline) \
-		$(use_enable regex) \
-		$(use deprecated || use_enable discouraged) \
-		$(use_enable deprecated) \
-		$(use_enable emacs elisp) \
-		$(use_enable nls) \
-		--disable-rpath \
-		$(use_enable debug-freelist) \
-		$(use_enable debug-malloc) \
-		$(use_enable debug guile-debug) \
-		$(use_with threads) \
-		--with-modules \
-		EMACS=no
+	myconf=(
+		--disable-error-on-warning
+		--disable-static
+		--enable-posix
+		$(use_enable networking)
+		$(use_enable readline)
+		$(use_enable regex)
+		$(use deprecated || use_enable discouraged)
+		$(use_enable deprecated)
+		$(use_enable emacs elisp)
+		$(use_enable nls)
+		--disable-rpath
+		$(use_enable debug-freelist)
+		$(use_enable debug-malloc)
+		$(use_enable debug guile-debug)
+		$(use_with threads)
+		--with-modules
+	)
+	econf "${myconf[@]}" EMACS=no
 }
 
 src_compile() {
@@ -94,20 +103,19 @@ src_compile() {
 }
 
 src_install() {
-	emake DESTDIR="${D}" install
-
-	dodoc AUTHORS ChangeLog GUILE-VERSION HACKING NEWS README THANKS
+	default
 
 	# texmacs needs this, closing bug #23493
 	dodir /etc/env.d
-	echo "GUILE_LOAD_PATH=\"${EPREFIX}/usr/share/guile/${MAJOR}\"" > "${ED}"/etc/env.d/50guile || die
+	echo "GUILE_LOAD_PATH=\"${EPREFIX}/usr/share/guile/${MAJOR}\"" \
+		 > "${ED}"/etc/env.d/50guile || die
 
 	# necessary for registering slib, see bug 206896
 	keepdir /usr/share/guile/site
 
 	if use emacs; then
-		elisp-install ${PN} emacs/*.{el,elc} || die
-		elisp-site-file-install "${FILESDIR}/50${PN}-gentoo.el" || die
+		elisp-install ${PN} emacs/*.{el,elc}
+		elisp-site-file-install "${FILESDIR}/50${PN}-gentoo.el"
 	fi
 }
 


^ permalink raw reply related	[flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile/, dev-scheme/guile/files/
@ 2021-01-01  5:52 Sam James
  0 siblings, 0 replies; 16+ messages in thread
From: Sam James @ 2021-01-01  5:52 UTC (permalink / raw
  To: gentoo-commits

commit:     fb97c7de4b112b77e5205b7926bfaf1d38cc733d
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Jan  1 05:52:29 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jan  1 05:52:29 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb97c7de

dev-scheme/guile: fix build where stack grows upwards

Closes: https://bugs.gentoo.org/747049
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-scheme/guile/files/guile-2.2.7-stack-up.patch | 17 +++++++++++++++++
 dev-scheme/guile/guile-2.2.7.ebuild               |  8 ++++++--
 2 files changed, 23 insertions(+), 2 deletions(-)

diff --git a/dev-scheme/guile/files/guile-2.2.7-stack-up.patch b/dev-scheme/guile/files/guile-2.2.7-stack-up.patch
new file mode 100644
index 00000000000..de291421c0b
--- /dev/null
+++ b/dev-scheme/guile/files/guile-2.2.7-stack-up.patch
@@ -0,0 +1,17 @@
+This patch (dropping an obsolete extra parameter to grow_stack) landed post
+2.2.7 and we're not likely to ever see a 2.2.8, as development has moved
+on to 3.x now.
+
+https://bugs.gentoo.org/747049
+https://www.mail-archive.com/guile-devel@gnu.org/msg15502.html
+--- a/libguile/continuations.c
++++ b/libguile/continuations.c
+@@ -302,7 +302,7 @@
+ 
+ #if SCM_STACK_GROWS_UP
+   if (dst + continuation->num_stack_items >= &stack_top_element)
+-    grow_stack (cont, mra);
++    grow_stack (cont);
+ #else
+   dst -= continuation->num_stack_items;
+   if (dst <= &stack_top_element)

diff --git a/dev-scheme/guile/guile-2.2.7.ebuild b/dev-scheme/guile/guile-2.2.7.ebuild
index 61026da9a02..6020cc99568 100644
--- a/dev-scheme/guile/guile-2.2.7.ebuild
+++ b/dev-scheme/guile/guile-2.2.7.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -29,7 +29,11 @@ BDEPEND="
 	sys-devel/libtool
 	sys-devel/gettext"
 
-PATCHES=( "${FILESDIR}/${PN}-2.2.3-gentoo-sandbox.patch" )
+PATCHES=(
+	"${FILESDIR}/${PN}-2.2.3-gentoo-sandbox.patch"
+	"${FILESDIR}/${PN}-2.2.7-stack-up.patch"
+)
+
 DOCS=( GUILE-VERSION HACKING README )
 
 src_configure() {


^ permalink raw reply related	[flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile/, dev-scheme/guile/files/
@ 2017-12-04 12:44 Amy Liffey
  0 siblings, 0 replies; 16+ messages in thread
From: Amy Liffey @ 2017-12-04 12:44 UTC (permalink / raw
  To: gentoo-commits

commit:     104e1c96b49e4c16fd8e6d294e47a90a75a6a259
Author:     Amy Liffey <amynka <AT> gentoo <DOT> org>
AuthorDate: Mon Dec  4 12:03:11 2017 +0000
Commit:     Amy Liffey <amynka <AT> gentoo <DOT> org>
CommitDate: Mon Dec  4 12:41:10 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=104e1c96

dev-scheme/guile: version bump 2.2.3

Closes: https://bugs.gentoo.org/614966
Package-Manager: Portage-2.3.13, Repoman-2.3.3

 dev-scheme/guile/Manifest                          |  1 +
 .../guile/files/guile-2.2.3-gentoo-sandbox.patch   | 10 +++
 dev-scheme/guile/guile-2.2.3.ebuild                | 76 ++++++++++++++++++++++
 3 files changed, 87 insertions(+)

diff --git a/dev-scheme/guile/Manifest b/dev-scheme/guile/Manifest
index 91a787d19b7..a4b23d03d15 100644
--- a/dev-scheme/guile/Manifest
+++ b/dev-scheme/guile/Manifest
@@ -1,3 +1,4 @@
 DIST guile-1.8.8.tar.gz 3956654 SHA256 c3471fed2e72e5b04ad133bbaaf16369e8360283679bcf19800bc1b381024050 SHA512 ede6feb90cd419d8763feb8c5169275490a653919573c4dfced025b74cf591072b3a10ffb9a3f6ee3fe7b0a0956ffcf434e0859b421455c8349cea56bf427db0 WHIRLPOOL 104810030b5dae16805595a5b398e5a7e600771b64b08d5ff686036e2f273dcec3829a16e4cdb1dbb9db5813f2e225476f83e0535a789bc570fc2fc15a76dbe2
 DIST guile-2.0.13.tar.gz 7808173 SHA256 ee8073c4582bb4f06412452fdf5dd185aae607441f1313c824f44bdd668b0bde SHA512 79fd5fda5064331eb687934ec3eaf07943f5b23bd05fbce23ab5ee3698864250b33746e33b8f074692b56f7b428dac42ed5d3f5b9dc17d171aa6dfadc1625b00 WHIRLPOOL 5f8b8e0f0e5fd2cde8fd4b1ca89ebe0231dd5f746945d71412a9d1ce57094013882972d9791511ef47e9bf1f2e9eff77a515dab8b4a6c0316122cb9ef49b5a7d
 DIST guile-2.0.14.tar.gz 7823099 BLAKE2B e7fa5a4ca19dc4adfcc151350b0ed4e211b8470b0d12f65451697a818c3139a4a5992a019bd213114748230cb15ec755d1af70d42b901230854915c0ee7b05de SHA512 d69c9bdf589fedcc227f3203012f6ed11c327cef3a0147d8e016fe276abecdb4272625efe1d0c7aa68219fe8f29bbced44089a4b479e4eafe01976c6b2b83633
+DIST guile-2.2.3.tar.gz 17266587 BLAKE2B 68751b881bca53e7ab04038483aa8c5a689978d1017e4c944a8142e301e2e13d5ffd2aba73f7b0aa27efd84d068558b96a88452d1e0b79dc04db1921e22a621d SHA512 31df17d28177badf63e1eb0d0d64e6a4d2abe64d4d5e69d8ff33a24dfb10abd25109ea9abfa86f5ff303b43665eb5b8127927f683f3b16139c5b3dc99f06f6fd

diff --git a/dev-scheme/guile/files/guile-2.2.3-gentoo-sandbox.patch b/dev-scheme/guile/files/guile-2.2.3-gentoo-sandbox.patch
new file mode 100644
index 00000000000..1cded2d2c92
--- /dev/null
+++ b/dev-scheme/guile/files/guile-2.2.3-gentoo-sandbox.patch
@@ -0,0 +1,10 @@
+diff --git a/test-suite/standalone/test-out-of-memory b/test-suite/standalone/test-out-of-memory
+index 2216512..0ed6079 100755
+--- a/test-suite/standalone/test-out-of-memory
++++ b/test-suite/standalone/test-out-of-memory
+@@ -5,2 +5,5 @@ exec guile -q -s "$0" "$@"
+ 
++; Gentoo's sandbox does not handle OOM gracefully
++(exit 77)
++
+ (unless (defined? 'setrlimit)

diff --git a/dev-scheme/guile/guile-2.2.3.ebuild b/dev-scheme/guile/guile-2.2.3.ebuild
new file mode 100644
index 00000000000..dfac7f89ae8
--- /dev/null
+++ b/dev-scheme/guile/guile-2.2.3.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit flag-o-matic
+
+DESCRIPTION="GNU Ubiquitous Intelligent Language for Extensions"
+HOMEPAGE="https://www.gnu.org/software/guile/"
+SRC_URI="mirror://gnu/guile/${P}.tar.gz"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+LICENSE="LGPL-3+"
+IUSE="debug debug-malloc +deprecated +networking +nls +regex +threads" # upstream recommended +networking +nls
+# emacs useflag removal not working
+
+# workaround for bug 596322
+REQUIRED_USE="regex"
+
+RDEPEND="
+	>=dev-libs/boehm-gc-7.0[threads?]
+	dev-libs/gmp:=
+	virtual/libffi
+	dev-libs/libltdl:=
+	dev-libs/libunistring:0=
+	sys-devel/libtool
+	sys-libs/ncurses:0=
+	sys-libs/readline:0="
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+	sys-apps/texinfo
+	sys-devel/gettext"
+
+SLOT="12/2.2-1" # libguile-2.2.so.1 => 2.2-1
+MAJOR="2.2"
+STRIP_MASK="*.go"
+
+DOCS=( GUILE-VERSION HACKING README )
+
+PATCHES=( "${FILESDIR}/${P}-gentoo-sandbox.patch" )
+
+src_configure() {
+	# see bug #178499
+	filter-flags -ftree-vectorize
+
+	econf \
+		--disable-error-on-warning \
+		--disable-rpath \
+		--disable-static \
+		--enable-posix \
+		--without-libgmp-prefix \
+		--without-libiconv-prefix \
+		--without-libintl-prefix \
+		--without-libltdl-prefix \
+		--without-libreadline-prefix \
+		--without-libunistring-prefix \
+		$(use_enable debug guile-debug) \
+		$(use_enable debug-malloc) \
+		$(use_enable deprecated) \
+		$(use_enable networking) \
+		$(use_enable nls) \
+		$(use_enable regex) \
+		$(use_with threads)
+}
+
+src_install() {
+	default
+
+	# From Novell
+	# 	https://bugzilla.novell.com/show_bug.cgi?id=874028#c0
+	dodir /usr/share/gdb/auto-load/$(get_libdir)
+	mv "${ED}"/usr/$(get_libdir)/libguile-*-gdb.scm "${ED}"/usr/share/gdb/auto-load/$(get_libdir) || die
+
+	# necessary for registering slib, see bug 206896
+	keepdir /usr/share/guile/site
+
+	find "${D}" -name '*.la' -delete || die
+}


^ permalink raw reply related	[flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile/, dev-scheme/guile/files/
@ 2017-11-27 12:47 Amy Liffey
  0 siblings, 0 replies; 16+ messages in thread
From: Amy Liffey @ 2017-11-27 12:47 UTC (permalink / raw
  To: gentoo-commits

commit:     182b1b496f7535bee46bba54544fa3e567be2beb
Author:     Amy Liffey <amynka <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 27 12:44:50 2017 +0000
Commit:     Amy Liffey <amynka <AT> gentoo <DOT> org>
CommitDate: Mon Nov 27 12:47:13 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=182b1b49

dev-scheme/guile: fix ia64 segmentation fault

Closes: https://bugs.gentoo.org/613986
Package-Manager: Portage-2.3.13, Repoman-2.3.3

 dev-scheme/guile/Manifest                          |  2 +-
 ...0.14-ia64-fix-crash-thread-context-switch.patch | 63 ++++++++++++++++++++++
 ...ile-2.0.14-r2.ebuild => guile-2.0.14-r3.ebuild} |  1 +
 3 files changed, 65 insertions(+), 1 deletion(-)

diff --git a/dev-scheme/guile/Manifest b/dev-scheme/guile/Manifest
index de6ab3b87ea..91a787d19b7 100644
--- a/dev-scheme/guile/Manifest
+++ b/dev-scheme/guile/Manifest
@@ -1,3 +1,3 @@
 DIST guile-1.8.8.tar.gz 3956654 SHA256 c3471fed2e72e5b04ad133bbaaf16369e8360283679bcf19800bc1b381024050 SHA512 ede6feb90cd419d8763feb8c5169275490a653919573c4dfced025b74cf591072b3a10ffb9a3f6ee3fe7b0a0956ffcf434e0859b421455c8349cea56bf427db0 WHIRLPOOL 104810030b5dae16805595a5b398e5a7e600771b64b08d5ff686036e2f273dcec3829a16e4cdb1dbb9db5813f2e225476f83e0535a789bc570fc2fc15a76dbe2
 DIST guile-2.0.13.tar.gz 7808173 SHA256 ee8073c4582bb4f06412452fdf5dd185aae607441f1313c824f44bdd668b0bde SHA512 79fd5fda5064331eb687934ec3eaf07943f5b23bd05fbce23ab5ee3698864250b33746e33b8f074692b56f7b428dac42ed5d3f5b9dc17d171aa6dfadc1625b00 WHIRLPOOL 5f8b8e0f0e5fd2cde8fd4b1ca89ebe0231dd5f746945d71412a9d1ce57094013882972d9791511ef47e9bf1f2e9eff77a515dab8b4a6c0316122cb9ef49b5a7d
-DIST guile-2.0.14.tar.gz 7823099 SHA256 8aeb2f353881282fe01694cce76bb72f7ffdd296a12c7a1a39255c27b0dfe5f1 SHA512 d69c9bdf589fedcc227f3203012f6ed11c327cef3a0147d8e016fe276abecdb4272625efe1d0c7aa68219fe8f29bbced44089a4b479e4eafe01976c6b2b83633 WHIRLPOOL 3b355f40b47c940bf9330a3521447efd2da7c7c9c3615c208513e36fec937c06a9f307fb2c59d652c09e6e0e13e858d7ef7949efbe32d530431a7aace3d9a165
+DIST guile-2.0.14.tar.gz 7823099 BLAKE2B e7fa5a4ca19dc4adfcc151350b0ed4e211b8470b0d12f65451697a818c3139a4a5992a019bd213114748230cb15ec755d1af70d42b901230854915c0ee7b05de SHA512 d69c9bdf589fedcc227f3203012f6ed11c327cef3a0147d8e016fe276abecdb4272625efe1d0c7aa68219fe8f29bbced44089a4b479e4eafe01976c6b2b83633

diff --git a/dev-scheme/guile/files/guile-2.0.14-ia64-fix-crash-thread-context-switch.patch b/dev-scheme/guile/files/guile-2.0.14-ia64-fix-crash-thread-context-switch.patch
new file mode 100644
index 00000000000..c2f136ddd10
--- /dev/null
+++ b/dev-scheme/guile/files/guile-2.0.14-ia64-fix-crash-thread-context-switch.patch
@@ -0,0 +1,63 @@
+From f92888853439a8ded221f3423865c78de2a96a14 Mon Sep 17 00:00:00 2001
+From: Sergei Trofimovich <slyfox@gentoo.org>
+Date: Sun, 5 Nov 2017 09:30:45 +0000
+Subject: ia64: Fix crash in thread context switch.
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+Fixes <https://bugs.gnu.org/29151> and <https://bugs.gentoo.org/613986>.
+
+Backtrace looks like that:
+
+  Program terminated with signal SIGSEGV, Segmentation fault.
+  #0  0x200000000014a5c0 in scm_ia64_longjmp (JB=0x6000000000817020, VAL=1) at continuations.c:372
+  372                   t->pending_rbs_continuation->backing_store,
+  [Current thread is 1 (Thread 0x2000000000049340 (LWP 8190))]
+  (gdb) bt
+  #0  0x200000000014a5c0 in scm_ia64_longjmp (JB=0x6000000000817020, VAL=1) at continuations.c:372
+  #1  0x2000000000148e00 in scm_c_abort (vm=0x60000000000edea0, tag=0x6000000000795ba0, n=0, argv=0x60000fffff7f0ce0, cookie=-1) at control.c:239
+  #2  0x2000000000149070 in scm_at_abort (tag=0x6000000000795ba0, args=0x304) at control.c:258
+  (gdb) print t
+  $2 = (scm_i_thread *) 0x6000000000068000
+  (gdb) print t->pending_rbs_continuation
+  $3 = (scm_t_contregs *) 0xffeb
+
+The problem here is the value of 't->pending_rbs_continuation' pointer.
+It's supposed to poin to a register stack pointer or be NULL if not yet
+backed up.
+
+The problem is it is never initialized to NULL at creation time and
+contained garbage on stack. Sometimes people are lucky and have zeros
+on stack and guile works. But sometimes there is something and guile
+crashes.
+
+The fix is trivial: initialize 'pending_rbs_continuation = NULL'
+at thread registration time (the same way other threads are registered).
+
+Reported-by: Matt Turner
+
+* libguile/threads.c (guilify_self_1): Initialize pending_rbs_continuation
+to avoid crash on ia64.
+
+Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
+Signed-off-by: Ludovic Courtès <ludo@gnu.org>
+---
+ libguile/threads.c | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/libguile/threads.c b/libguile/threads.c
+index 9ceb5b8..770f62c 100644
+--- a/libguile/threads.c
++++ b/libguile/threads.c
+@@ -395,6 +395,7 @@ guilify_self_1 (struct GC_stack_base *base, int needs_unregister)
+   t.base = base->mem_base;
+ #ifdef __ia64__
+   t.register_backing_store_base = base->reg_base;
++  t.pending_rbs_continuation = 0;
+ #endif
+   t.continuation_root = SCM_EOL;
+   t.continuation_base = t.base;
+-- 
+cgit v1.0-41-gc330
+

diff --git a/dev-scheme/guile/guile-2.0.14-r2.ebuild b/dev-scheme/guile/guile-2.0.14-r3.ebuild
similarity index 97%
rename from dev-scheme/guile/guile-2.0.14-r2.ebuild
rename to dev-scheme/guile/guile-2.0.14-r3.ebuild
index 37a3cd3ede7..56165f81bcb 100644
--- a/dev-scheme/guile/guile-2.0.14-r2.ebuild
+++ b/dev-scheme/guile/guile-2.0.14-r3.ebuild
@@ -37,6 +37,7 @@ DOCS=( GUILE-VERSION HACKING README )
 PATCHES=(
 	"${FILESDIR}/${PN}-2-snarf.patch"
 	"${FILESDIR}/${P}-darwin.patch"
+	"${FILESDIR}/${P}-ia64-fix-crash-thread-context-switch.patch"
 )
 
 src_prepare() {


^ permalink raw reply related	[flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile/, dev-scheme/guile/files/
@ 2017-06-21 12:33 Fabian Groffen
  0 siblings, 0 replies; 16+ messages in thread
From: Fabian Groffen @ 2017-06-21 12:33 UTC (permalink / raw
  To: gentoo-commits

commit:     13a0978fd44908dcd1565318ecdf34b0814dcbdc
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 21 12:33:25 2017 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Wed Jun 21 12:33:36 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13a0978f

dev-scheme/guile: fix compilation on Darwin, thanks * in bug #612338

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 dev-scheme/guile/files/guile-2.0.14-darwin.patch | 38 ++++++++++++++++++++++++
 dev-scheme/guile/guile-2.0.14.ebuild             |  5 +++-
 2 files changed, 42 insertions(+), 1 deletion(-)

diff --git a/dev-scheme/guile/files/guile-2.0.14-darwin.patch b/dev-scheme/guile/files/guile-2.0.14-darwin.patch
new file mode 100644
index 00000000000..17741ae352c
--- /dev/null
+++ b/dev-scheme/guile/files/guile-2.0.14-darwin.patch
@@ -0,0 +1,38 @@
+fix compilation on Darwin
+
+https://debbugs.gnu.org/cgi/bugreport.cgi?bug=24862#23
+https://bugs.gentoo.org/show_bug.cgi?id=612338
+
+--- guile-2.0.14/libguile/filesys.c
++++ guile-2.0.14/libguile/filesys.c
+@@ -1486,6 +1486,9 @@
+       mode_bits = scm_i_mode_bits (mode);
+     }
+ 
++#ifdef __APPLE__
++  open_flags &= O_APPEND|O_SHLOCK|O_EXLOCK|O_CLOEXEC;
++#endif
+   SCM_SYSCALL (rv = mkostemp (c_tmpl, open_flags));
+   if (rv == -1)
+     SCM_SYSERROR;
+--- guile-2.0.14/libguile/stime.c
++++ guile-2.0.14/libguile/stime.c
+@@ -830,6 +830,10 @@
+ 
+ #ifdef HAVE_POSIX_CPUTIME
+   {
++#ifdef __APPLE__
++    if (clock_gettime (CLOCK_PROCESS_CPUTIME_ID, &posix_run_time_base) == 0)
++      get_internal_run_time = get_internal_run_time_posix_timer;
++#else
+     clockid_t dummy;
+     
+     /* Only use the _POSIX_CPUTIME clock if it's going to work across
+@@ -839,6 +843,7 @@
+       get_internal_run_time = get_internal_run_time_posix_timer;
+     else
+       errno = 0;
++#endif
+   }
+ #endif /* HAVE_POSIX_CPUTIME */
+ #endif /* HAVE_CLOCKTIME */

diff --git a/dev-scheme/guile/guile-2.0.14.ebuild b/dev-scheme/guile/guile-2.0.14.ebuild
index 78edbb0f216..6be23f4049e 100644
--- a/dev-scheme/guile/guile-2.0.14.ebuild
+++ b/dev-scheme/guile/guile-2.0.14.ebuild
@@ -32,7 +32,10 @@ MAJOR="2.0"
 
 DOCS=( GUILE-VERSION HACKING README )
 
-PATCHES=( "${FILESDIR}/${PN}-2-snarf.patch" )
+PATCHES=(
+	"${FILESDIR}/${PN}-2-snarf.patch"
+	"${FILESDIR}/${P}-darwin.patch"
+)
 
 src_prepare() {
 	default


^ permalink raw reply related	[flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile/, dev-scheme/guile/files/
@ 2017-04-22 14:40 Amy Liffey
  0 siblings, 0 replies; 16+ messages in thread
From: Amy Liffey @ 2017-04-22 14:40 UTC (permalink / raw
  To: gentoo-commits

commit:     3b8488127b6dac13f3d0b285a954c21ca6255287
Author:     Amy Liffey <amynka <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 22 14:36:14 2017 +0000
Commit:     Amy Liffey <amynka <AT> gentoo <DOT> org>
CommitDate: Sat Apr 22 14:37:47 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b848812

dev-scheme/guile: add upstream patch bug #608190

Package-Manager: portage-2.3.3

 dev-scheme/guile/files/guile-2-snarf.patch | 47 ++++++++++++++++++++++++++++++
 dev-scheme/guile/guile-2.0.13-r1.ebuild    |  2 ++
 dev-scheme/guile/guile-2.0.14.ebuild       |  2 ++
 3 files changed, 51 insertions(+)

diff --git a/dev-scheme/guile/files/guile-2-snarf.patch b/dev-scheme/guile/files/guile-2-snarf.patch
new file mode 100644
index 00000000000..c6ab5cd48cd
--- /dev/null
+++ b/dev-scheme/guile/files/guile-2-snarf.patch
@@ -0,0 +1,47 @@
+From f775ab3654357fcaad294b95efb0b1c16de1eda8 Mon Sep 17 00:00:00 2001
+From: Sergei Trofimovich <slyfox@gentoo.org>
+Date: Sun, 19 Feb 2017 22:58:40 +0000
+Subject: guile-snarf: skip -g* arguments to avoid build failure
+
+* libguile/guile-snarf.in: skip -g* arguments to avoid failure on
+  -ggdb3.
+
+Bug: https://bugs.gentoo.org/608190
+Bug: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25803
+Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
+---
+ libguile/guile-snarf.in | 16 ++++++++++++++--
+ 1 file changed, 14 insertions(+), 2 deletions(-)
+
+diff --git a/libguile/guile-snarf.in b/libguile/guile-snarf.in
+index 47bbc04..22dc1d3 100644
+--- a/libguile/guile-snarf.in
++++ b/libguile/guile-snarf.in
+@@ -95,10 +95,22 @@ if [ x"$CPP" = x ] ; then cpp="@CPP@" ; else cpp="$CPP" ; fi
+ 
+ trap "rm -rf $tempdir" 0 1 2 15
+ 
++# filter out -g* flags from commandline
++# as some flags like -ggdb3 cause CPP
++
++cpp_args=""
++for arg in "$@"
++do
++    case "$arg" in
++        -g*) ;; # skip debug flag
++        *) cpp_args="$cpp_args $arg" ;;
++    esac
++done
++
+ if [ ! "$outfile" = "-" ] ; then
+-    modern_snarf "$@" > $outfile
++    modern_snarf $cpp_args > $outfile
+ else
+-    modern_snarf "$@"
++    modern_snarf $cpp_args
+ fi
+ 
+ # zonk outfile if errors occurred
+-- 
+cgit v1.0-41-gc330
+

diff --git a/dev-scheme/guile/guile-2.0.13-r1.ebuild b/dev-scheme/guile/guile-2.0.13-r1.ebuild
index 429ee464a02..78edbb0f216 100644
--- a/dev-scheme/guile/guile-2.0.13-r1.ebuild
+++ b/dev-scheme/guile/guile-2.0.13-r1.ebuild
@@ -32,6 +32,8 @@ MAJOR="2.0"
 
 DOCS=( GUILE-VERSION HACKING README )
 
+PATCHES=( "${FILESDIR}/${PN}-2-snarf.patch" )
+
 src_prepare() {
 	default
 	eautoreconf

diff --git a/dev-scheme/guile/guile-2.0.14.ebuild b/dev-scheme/guile/guile-2.0.14.ebuild
index 429ee464a02..78edbb0f216 100644
--- a/dev-scheme/guile/guile-2.0.14.ebuild
+++ b/dev-scheme/guile/guile-2.0.14.ebuild
@@ -32,6 +32,8 @@ MAJOR="2.0"
 
 DOCS=( GUILE-VERSION HACKING README )
 
+PATCHES=( "${FILESDIR}/${PN}-2-snarf.patch" )
+
 src_prepare() {
 	default
 	eautoreconf


^ permalink raw reply related	[flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile/, dev-scheme/guile/files/
@ 2016-08-12 19:11 Amy Winston
  0 siblings, 0 replies; 16+ messages in thread
From: Amy Winston @ 2016-08-12 19:11 UTC (permalink / raw
  To: gentoo-commits

commit:     251038429b247420f86268f22906ec69ede294cc
Author:     Amy Winston <amynka <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 12 19:02:25 2016 +0000
Commit:     Amy Winston <amynka <AT> gentoo <DOT> org>
CommitDate: Fri Aug 12 19:07:49 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25103842

dev-scheme/guile: fix bug #590528

- Added patch from upstream for bug #590528
- Added +nls +networking recommended by upstream
- Removed old patch from upstream

Package-Manager: portage-2.2.28

 .../guile/files/guile-2.0.12-build-includes.patch  | 41 ------------------
 .../guile/files/guile-2.0.12-build_includes2.patch | 48 ++++++++++++++++++++++
 dev-scheme/guile/guile-2.0.12-r1.ebuild            | 11 +++--
 3 files changed, 56 insertions(+), 44 deletions(-)

diff --git a/dev-scheme/guile/files/guile-2.0.12-build-includes.patch b/dev-scheme/guile/files/guile-2.0.12-build-includes.patch
deleted file mode 100644
index 60b44bc..0000000
--- a/dev-scheme/guile/files/guile-2.0.12-build-includes.patch
+++ /dev/null
@@ -1,41 +0,0 @@
-From edd6d6e2805894e21afe51276d1af65d5395180d Mon Sep 17 00:00:00 2001
-From: Andy Wingo <wingo@pobox.com>
-Date: Sun, 07 Aug 2016 10:23:50 +0000
-Subject: Snarfing .x depends on built headers
-
-* libguile/Makefile.am (BUILT_INCLUDES): New variable.
-  (BUILT_SOURCES): Put .i and other generated .h to BUILT_INCLUDES.
-  (.c.x, .c.doc): Depend on BUILT_INCLUDES.  Fixes
-  https://bugs.gentoo.org/show_bug.cgi?id=590528.
----
-diff --git a/libguile/Makefile.am b/libguile/Makefile.am
-index cd85604..4c54744 100644
---- a/libguile/Makefile.am
-+++ b/libguile/Makefile.am
-@@ -430,9 +430,9 @@ DOT_I_FILES = vm-i-system.i vm-i-scheme.i vm-i-loader.i
- .c.i:
- 	$(AM_V_GEN)$(GREP) '^VM_DEFINE' $< > $@
- 
--BUILT_SOURCES = cpp-E.c cpp-SIG.c libpath.h \
--    scmconfig.h \
--    $(DOT_I_FILES) $(DOT_X_FILES) $(EXTRA_DOT_X_FILES)
-+BUILT_INCLUDES = $(DOT_I_FILES) scmconfig.h
-+BUILT_SOURCES = cpp-E.c cpp-SIG.c libpath.h $(BUILT_INCLUDES) \
-+    $(DOT_X_FILES) $(EXTRA_DOT_X_FILES)
- 
- # Force the generation of `guile-procedures.texi' because the top-level
- # Makefile expects it to be built.
-@@ -730,9 +730,9 @@ snarfcppopts = $(DEFS) $(AM_CPPFLAGS) $(CPPFLAGS) $(CFLAGS)
- 
- SUFFIXES = .x .doc
- 
--.c.x:
-+.c.x: $(BUILT_INCLUDES)
- 	$(AM_V_SNARF)$(GUILE_SNARF) -o $@ $< $(snarfcppopts)
--.c.doc:
-+.c.doc: $(BUILT_INCLUDES)
- 	$(AM_V_SNARF)./guile-snarf-docs -o $@ $< -- $(snarfcppopts)
- 
- $(DOT_X_FILES) $(EXTRA_DOT_X_FILES): scmconfig.h snarf.h guile-snarf.in version.h
---
-cgit v0.9.0.2

diff --git a/dev-scheme/guile/files/guile-2.0.12-build_includes2.patch b/dev-scheme/guile/files/guile-2.0.12-build_includes2.patch
new file mode 100644
index 0000000..320abb3
--- /dev/null
+++ b/dev-scheme/guile/files/guile-2.0.12-build_includes2.patch
@@ -0,0 +1,48 @@
+From 9eb8c3652d6a424a9c60da03584b8056497d1fdf Mon Sep 17 00:00:00 2001
+From: Mark H Weaver <mhw@netris.org>
+Date: Thu, 11 Aug 2016 03:59:40 -0400
+Subject: build: .x and .doc files depend on generated includes.
+
+Fixes <https://bugs.gentoo.org/show_bug.cgi?id=590528>.
+
+* libguile/Makefile.am (BUILT_INCLUDES): New variable.
+(BUILT_SOURCES): Put .i and other generated .h to BUILT_INCLUDES.
+(DOT_X_FILES, EXTRA_DOT_X_FILES, DOT_DOC_FILES, EXTRA_DOT_DOC_FILES):
+Depend on $(BUILT_INCLUDES), in place of scmconfig.h which is included
+in $(BUILT_INCLUDES).
+---
+ libguile/Makefile.am | 10 +++++-----
+ 1 file changed, 5 insertions(+), 5 deletions(-)
+
+diff --git a/libguile/Makefile.am b/libguile/Makefile.am
+index cd85604..1383c13 100644
+--- a/libguile/Makefile.am
++++ b/libguile/Makefile.am
+@@ -430,9 +430,9 @@ DOT_I_FILES = vm-i-system.i vm-i-scheme.i vm-i-loader.i
+ .c.i:
+ 	$(AM_V_GEN)$(GREP) '^VM_DEFINE' $< > $@
+ 
+-BUILT_SOURCES = cpp-E.c cpp-SIG.c libpath.h \
+-    scmconfig.h \
+-    $(DOT_I_FILES) $(DOT_X_FILES) $(EXTRA_DOT_X_FILES)
++BUILT_INCLUDES = $(DOT_I_FILES) scmconfig.h
++BUILT_SOURCES = cpp-E.c cpp-SIG.c libpath.h $(BUILT_INCLUDES) \
++    $(DOT_X_FILES) $(EXTRA_DOT_X_FILES)
+ 
+ # Force the generation of `guile-procedures.texi' because the top-level
+ # Makefile expects it to be built.
+@@ -735,9 +735,9 @@ SUFFIXES = .x .doc
+ .c.doc:
+ 	$(AM_V_SNARF)./guile-snarf-docs -o $@ $< -- $(snarfcppopts)
+ 
+-$(DOT_X_FILES) $(EXTRA_DOT_X_FILES): scmconfig.h snarf.h guile-snarf.in version.h
++$(DOT_X_FILES) $(EXTRA_DOT_X_FILES): $(BUILT_INCLUDES) snarf.h guile-snarf.in version.h
+ 
+-$(DOT_DOC_FILES) $(EXTRA_DOT_DOC_FILES): scmconfig.h snarf.h guile-snarf-docs.in guile_filter_doc_snarfage$(EXEEXT)
++$(DOT_DOC_FILES) $(EXTRA_DOT_DOC_FILES): $(BUILT_INCLUDES) snarf.h guile-snarf-docs.in guile_filter_doc_snarfage$(EXEEXT)
+ 
+ error.x: cpp-E.c
+ posix.x: cpp-SIG.c
+-- 
+cgit v1.0
+

diff --git a/dev-scheme/guile/guile-2.0.12-r1.ebuild b/dev-scheme/guile/guile-2.0.12-r1.ebuild
index 9d1539f..2cfc2b1 100644
--- a/dev-scheme/guile/guile-2.0.12-r1.ebuild
+++ b/dev-scheme/guile/guile-2.0.12-r1.ebuild
@@ -3,14 +3,14 @@
 # $Id$
 
 EAPI=6
-inherit flag-o-matic
+inherit flag-o-matic autotools
 
 DESCRIPTION="GNU Ubiquitous Intelligent Language for Extensions"
 HOMEPAGE="https://www.gnu.org/software/guile/"
 SRC_URI="mirror://gnu/guile/${P}.tar.gz"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
 LICENSE="LGPL-3+"
-IUSE="debug debug-malloc +deprecated networking nls +regex +threads"
+IUSE="debug debug-malloc +deprecated +networking +nls +regex +threads" # upstream recommended +networking +nls
 
 # emacs useflag removal not working
 
@@ -30,9 +30,14 @@ DEPEND="${RDEPEND}
 SLOT="12/22" # subslot is soname version
 MAJOR="2.0"
 
-PATCHES=( "${FILESDIR}/${P}-build-includes.patch" ) #bug 590528 patched by upstream
+PATCHES=( "${FILESDIR}/${P}-build_includes2.patch" ) #bug 590528 patched by upstream second try
 DOCS=( GUILE-VERSION HACKING README )
 
+src_prepare() {
+	default
+	eautoreconf
+}
+
 src_configure() {
 	# see bug #178499
 	filter-flags -ftree-vectorize


^ permalink raw reply related	[flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile/, dev-scheme/guile/files/
@ 2016-08-07 19:10 Amy Winston
  0 siblings, 0 replies; 16+ messages in thread
From: Amy Winston @ 2016-08-07 19:10 UTC (permalink / raw
  To: gentoo-commits

commit:     ad481adb43d97f0e37294a9706184fe94550824f
Author:     Amy Winston <amynka <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  7 19:01:05 2016 +0000
Commit:     Amy Winston <amynka <AT> gentoo <DOT> org>
CommitDate: Sun Aug  7 19:03:10 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad481adb

dev-scheme/guile: fixes for bug #590528,#590660

- Added patch for built_includes by upstream Andy Wingo
- Symlink path changed

Package-Manager: portage-2.2.28

 .../guile/files/guile-2.0.12-build-includes.patch  | 41 ++++++++++++++++++++++
 dev-scheme/guile/guile-2.0.12.ebuild               |  3 +-
 2 files changed, 43 insertions(+), 1 deletion(-)

diff --git a/dev-scheme/guile/files/guile-2.0.12-build-includes.patch b/dev-scheme/guile/files/guile-2.0.12-build-includes.patch
new file mode 100644
index 0000000..60b44bc
--- /dev/null
+++ b/dev-scheme/guile/files/guile-2.0.12-build-includes.patch
@@ -0,0 +1,41 @@
+From edd6d6e2805894e21afe51276d1af65d5395180d Mon Sep 17 00:00:00 2001
+From: Andy Wingo <wingo@pobox.com>
+Date: Sun, 07 Aug 2016 10:23:50 +0000
+Subject: Snarfing .x depends on built headers
+
+* libguile/Makefile.am (BUILT_INCLUDES): New variable.
+  (BUILT_SOURCES): Put .i and other generated .h to BUILT_INCLUDES.
+  (.c.x, .c.doc): Depend on BUILT_INCLUDES.  Fixes
+  https://bugs.gentoo.org/show_bug.cgi?id=590528.
+---
+diff --git a/libguile/Makefile.am b/libguile/Makefile.am
+index cd85604..4c54744 100644
+--- a/libguile/Makefile.am
++++ b/libguile/Makefile.am
+@@ -430,9 +430,9 @@ DOT_I_FILES = vm-i-system.i vm-i-scheme.i vm-i-loader.i
+ .c.i:
+ 	$(AM_V_GEN)$(GREP) '^VM_DEFINE' $< > $@
+ 
+-BUILT_SOURCES = cpp-E.c cpp-SIG.c libpath.h \
+-    scmconfig.h \
+-    $(DOT_I_FILES) $(DOT_X_FILES) $(EXTRA_DOT_X_FILES)
++BUILT_INCLUDES = $(DOT_I_FILES) scmconfig.h
++BUILT_SOURCES = cpp-E.c cpp-SIG.c libpath.h $(BUILT_INCLUDES) \
++    $(DOT_X_FILES) $(EXTRA_DOT_X_FILES)
+ 
+ # Force the generation of `guile-procedures.texi' because the top-level
+ # Makefile expects it to be built.
+@@ -730,9 +730,9 @@ snarfcppopts = $(DEFS) $(AM_CPPFLAGS) $(CPPFLAGS) $(CFLAGS)
+ 
+ SUFFIXES = .x .doc
+ 
+-.c.x:
++.c.x: $(BUILT_INCLUDES)
+ 	$(AM_V_SNARF)$(GUILE_SNARF) -o $@ $< $(snarfcppopts)
+-.c.doc:
++.c.doc: $(BUILT_INCLUDES)
+ 	$(AM_V_SNARF)./guile-snarf-docs -o $@ $< -- $(snarfcppopts)
+ 
+ $(DOT_X_FILES) $(EXTRA_DOT_X_FILES): scmconfig.h snarf.h guile-snarf.in version.h
+--
+cgit v0.9.0.2

diff --git a/dev-scheme/guile/guile-2.0.12.ebuild b/dev-scheme/guile/guile-2.0.12.ebuild
index f20a701..976c483 100644
--- a/dev-scheme/guile/guile-2.0.12.ebuild
+++ b/dev-scheme/guile/guile-2.0.12.ebuild
@@ -30,6 +30,7 @@ DEPEND="${RDEPEND}
 SLOT="12"
 MAJOR="2.0"
 
+PATCHES=( "${FILESDIR}/${P}-build-includes.patch" ) #bug 590528 patched by upstream
 DOCS=( GUILE-VERSION HACKING README )
 
 src_configure() {
@@ -67,7 +68,7 @@ src_install() {
 	keepdir /usr/share/guile/site
 
 	# Dark magic necessary for some deps
-	dosym /usr/$(get_libdir)/libguile-2.0.so /usr/$(get_libdir)/libguile.so
+	dosym libguile-2.0.so /usr/$(get_libdir)/libguile.so
 }
 
 pkg_postinst() {


^ permalink raw reply related	[flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile/, dev-scheme/guile/files/
@ 2016-06-27 16:09 Austin English
  0 siblings, 0 replies; 16+ messages in thread
From: Austin English @ 2016-06-27 16:09 UTC (permalink / raw
  To: gentoo-commits

commit:     d3bce60414f651b5044d8276ad9c3e3f5afe9e15
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 23 09:01:48 2016 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Mon Jun 27 16:08:38 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d3bce604

dev-scheme/guile: fix guile-2.0.0 building with clang

Also update to EAPI=6

 .../files/guile-2.0.0-clang-apicontrol-texi.patch  | 12 +++++++++
 dev-scheme/guile/guile-2.0.0.ebuild                | 31 +++++++++-------------
 2 files changed, 24 insertions(+), 19 deletions(-)

diff --git a/dev-scheme/guile/files/guile-2.0.0-clang-apicontrol-texi.patch b/dev-scheme/guile/files/guile-2.0.0-clang-apicontrol-texi.patch
new file mode 100644
index 0000000..cbd3f46
--- /dev/null
+++ b/dev-scheme/guile/files/guile-2.0.0-clang-apicontrol-texi.patch
@@ -0,0 +1,12 @@
+--- a/doc/ref/api-control.texi	2016-06-23 03:35:29.973976657 -0500
++++ b/doc/ref/api-control.texi	2016-06-23 03:33:36.589969005 -0500
+@@ -1492,8 +1492,8 @@
+ @deftypefnx {C Function} void scm_wrong_type_arg (char *@var{subr}, int @var{argnum}, SCM @var{bad_value})
+ @deftypefnx {C Function} void scm_wrong_type_arg_msg (char *@var{subr}, int @var{argnum}, SCM @var{bad_value}, const char *@var{expected})
+ @deftypefnx {C Function} void scm_memory_error (char *@var{subr})
+-Throw an error with the various keys described above.
+ @deftypefnx {C Function} void scm_misc_error (const char *@var{subr}, const char *@var{message}, SCM @var{args})
++Throw an error with the various keys described above.
+ 
+ In @code{scm_wrong_num_args}, @var{proc} should be a Scheme symbol
+ which is the name of the procedure incorrectly invoked.  The other

diff --git a/dev-scheme/guile/guile-2.0.0.ebuild b/dev-scheme/guile/guile-2.0.0.ebuild
index 59f04c6..e5204ae 100644
--- a/dev-scheme/guile/guile-2.0.0.ebuild
+++ b/dev-scheme/guile/guile-2.0.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=3
-inherit eutils flag-o-matic elisp-common
+EAPI=6
+inherit flag-o-matic elisp-common
 
 DESCRIPTION="GNU Ubiquitous Intelligent Language for Extensions"
 HOMEPAGE="https://www.gnu.org/software/guile/"
@@ -29,11 +29,15 @@ DEPEND="${RDEPEND}
 SLOT="2"
 MAJOR="2.0"
 
+PATCHES=(
+	"${FILESDIR}/${P}-clang-apicontrol-texi.patch"
+	)
+
 src_configure() {
 	# see bug #178499
 	filter-flags -ftree-vectorize
 
-	#will fail for me if posix is disabled or without modules -- hkBst
+	# will fail for me if posix is disabled or without modules -- hkBst
 	econf \
 		--disable-error-on-warning \
 		--disable-static \
@@ -51,26 +55,15 @@ src_configure() {
 #		EMACS=no
 }
 
-src_compile()  {
-	emake || die "make failed"
-
-	# Above we have disabled the build system's Emacs support;
-	# for USE=emacs we compile (and install) the files manually
-	# if use emacs; then
-	# 	cd emacs
-	# 	make
-	# 	elisp-compile *.el || die
-	# fi
-}
-
 src_install() {
-	einstall || die "install failed"
+	default
 
-	dodoc AUTHORS ChangeLog GUILE-VERSION HACKING NEWS README THANKS || die
+	dodoc GUILE-VERSION HACKING
 
 	# texmacs needs this, closing bug #23493
 	dodir /etc/env.d
-	echo "GUILE_LOAD_PATH=\"${EPREFIX}/usr/share/guile/${MAJOR}\"" > "${ED}"/etc/env.d/50guile
+	echo "GUILE_LOAD_PATH=\"${EPREFIX}/usr/share/guile/${MAJOR}\"" \
+	> "${ED}"/etc/env.d/50guile || die
 
 	# necessary for registering slib, see bug 206896
 	keepdir /usr/share/guile/site


^ permalink raw reply related	[flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile/, dev-scheme/guile/files/
@ 2015-10-12 23:24 Ryan Hill
  0 siblings, 0 replies; 16+ messages in thread
From: Ryan Hill @ 2015-10-12 23:24 UTC (permalink / raw
  To: gentoo-commits

commit:     590cfd77349020fe506ac17520b6eae5d9b17e80
Author:     Ryan Hill <rhill <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 19 01:53:16 2015 +0000
Commit:     Ryan Hill <rhill <AT> gentoo <DOT> org>
CommitDate: Mon Oct 12 23:22:18 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=590cfd77

dev-scheme/guile: Use emake install (bug #521546).

A sandbox violation was preventing us from using emake install rather
than einstall.

Gentoo-Bug: https://bugs.gentoo.org/521546

 dev-scheme/guile/files/guile-1.8.8-sandbox.patch | 15 +++++++++++++++
 dev-scheme/guile/guile-1.8.8-r2.ebuild           |  6 ++++--
 2 files changed, 19 insertions(+), 2 deletions(-)

diff --git a/dev-scheme/guile/files/guile-1.8.8-sandbox.patch b/dev-scheme/guile/files/guile-1.8.8-sandbox.patch
new file mode 100644
index 0000000..70d752f
--- /dev/null
+++ b/dev-scheme/guile/files/guile-1.8.8-sandbox.patch
@@ -0,0 +1,15 @@
+Prevent sandbox violation when installing
+
+https://bugs.gentoo.org/521546
+
+--- a/guile-config/Makefile.am
++++ b/guile-config/Makefile.am
+@@ -39,8 +39,3 @@ guile-config: guile-config.in ${top_builddir}/libguile/libpath.h
+ 	    -e s:@-GUILE_VERSION-@:${GUILE_VERSION}:
+ 	chmod +x guile-config.tmp
+ 	mv guile-config.tmp guile-config
+-
+-## Get rid of any copies of the configuration script under the old
+-## name, so people don't end up running ancient copies of it.
+-install-exec-local:
+-	rm -f ${bindir}/build-guile

diff --git a/dev-scheme/guile/guile-1.8.8-r2.ebuild b/dev-scheme/guile/guile-1.8.8-r2.ebuild
index 2737d57..619d678 100644
--- a/dev-scheme/guile/guile-1.8.8-r2.ebuild
+++ b/dev-scheme/guile/guile-1.8.8-r2.ebuild
@@ -34,7 +34,9 @@ src_prepare() {
 		"${FILESDIR}/${P}-gcc46.patch" \
 		"${FILESDIR}/${P}-gcc5.patch" \
 		"${FILESDIR}/${P}-makeinfo-5.patch" \
-		"${FILESDIR}/${P}-gtexinfo-5.patch"
+		"${FILESDIR}/${P}-gtexinfo-5.patch" \
+		"${FILESDIR}/${P}-sandbox.patch"
+
 	sed \
 		-e "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g" \
 		-e "/AM_PROG_CC_STDC/d" \
@@ -78,7 +80,7 @@ src_compile()  {
 }
 
 src_install() {
-	einstall
+	emake DESTDIR="${D}" install
 
 	dodoc AUTHORS ChangeLog GUILE-VERSION HACKING NEWS README THANKS
 


^ permalink raw reply related	[flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile/, dev-scheme/guile/files/
@ 2015-10-12 23:24 Ryan Hill
  0 siblings, 0 replies; 16+ messages in thread
From: Ryan Hill @ 2015-10-12 23:24 UTC (permalink / raw
  To: gentoo-commits

commit:     827c7b55b865c20157d0ad17b6883b15cd5167bb
Author:     Ryan Hill <rhill <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 19 04:57:01 2015 +0000
Commit:     Ryan Hill <rhill <AT> gentoo <DOT> org>
CommitDate: Mon Oct 12 23:22:24 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=827c7b55

dev-scheme/guile: Also look for tgoto in libtinfo (bug #539316)

This is the case when ncurses is built with USE=tinfo.

Gentoo-Bug: https://bugs.gentoo.org/539316

 dev-scheme/guile/files/guile-1.8.8-tinfo.patch | 15 +++++++++++++++
 dev-scheme/guile/guile-1.8.8-r2.ebuild         |  1 +
 2 files changed, 16 insertions(+)

diff --git a/dev-scheme/guile/files/guile-1.8.8-tinfo.patch b/dev-scheme/guile/files/guile-1.8.8-tinfo.patch
new file mode 100644
index 0000000..6c4d011
--- /dev/null
+++ b/dev-scheme/guile/files/guile-1.8.8-tinfo.patch
@@ -0,0 +1,15 @@
+With ncurses[tinfo] tgoto will be in libtinfo
+
+https://bugs.gentoo.org/539316
+
+--- a/guile-readline/configure.in
++++ b/guile-readline/configure.in
+@@ -33,7 +33,7 @@ if test "$MINGW32" = "yes" ; then
+ fi
+ AC_SUBST(EXTRA_DEFS)
+ 
+-for termlib in ncurses curses termcap terminfo termlib ; do
++for termlib in ncurses curses termcap terminfo termlib tinfo ; do
+    AC_CHECK_LIB(${termlib}, tgoto,
+                 [LIBS="-l${termlib} $LIBS"; break])
+ done

diff --git a/dev-scheme/guile/guile-1.8.8-r2.ebuild b/dev-scheme/guile/guile-1.8.8-r2.ebuild
index e0f62a9..2856054 100644
--- a/dev-scheme/guile/guile-1.8.8-r2.ebuild
+++ b/dev-scheme/guile/guile-1.8.8-r2.ebuild
@@ -36,6 +36,7 @@ src_prepare() {
 		"${FILESDIR}/${P}-gcc5.patch" \
 		"${FILESDIR}/${P}-makeinfo-5.patch" \
 		"${FILESDIR}/${P}-gtexinfo-5.patch" \
+		"${FILESDIR}/${P}-tinfo.patch" \
 		"${FILESDIR}/${P}-sandbox.patch"
 
 	sed \


^ permalink raw reply related	[flat|nested] 16+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile/, dev-scheme/guile/files/
@ 2015-10-12 23:24 Ryan Hill
  0 siblings, 0 replies; 16+ messages in thread
From: Ryan Hill @ 2015-10-12 23:24 UTC (permalink / raw
  To: gentoo-commits

commit:     8aee6d8f74df2c382da1e39c4324f5cd8f2ea962
Author:     Ryan Hill <rhill <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 18 05:10:10 2015 +0000
Commit:     Ryan Hill <rhill <AT> gentoo <DOT> org>
CommitDate: Mon Oct 12 23:22:16 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8aee6d8f

dev-scheme/guile: Fix breakage with GCC 5 (bug #560736)

Preprocessor changes in GCC 5 cause guile-snarf to output garbage.

Gentoo-Bug: https://bugs.gentoo.org/560736

 dev-scheme/guile/files/guile-1.8.8-gcc5.patch |  15 ++++
 dev-scheme/guile/guile-1.8.8-r2.ebuild        | 116 ++++++++++++++++++++++++++
 2 files changed, 131 insertions(+)

diff --git a/dev-scheme/guile/files/guile-1.8.8-gcc5.patch b/dev-scheme/guile/files/guile-1.8.8-gcc5.patch
new file mode 100644
index 0000000..742ea0b
--- /dev/null
+++ b/dev-scheme/guile/files/guile-1.8.8-gcc5.patch
@@ -0,0 +1,15 @@
+Preprocessor changes in GCC 5 cause guile-snarf to output garbage.
+
+https://bugs.gentoo.org/560736
+
+--- a/libguile/guile-snarf.in
++++ b/libguile/guile-snarf.in
+@@ -50,7 +50,7 @@
+     ## Apparently, AIX's preprocessor is unhappy if you try to #include an
+     ## empty file.
+     echo "/* cpp arguments: $@ */" ;
+-    ${cpp} -DSCM_MAGIC_SNARF_INITS -DSCM_MAGIC_SNARFER "$@" > ${temp} && cpp_ok_p=true
++    ${cpp} -P -DSCM_MAGIC_SNARF_INITS -DSCM_MAGIC_SNARFER "$@" > ${temp} && cpp_ok_p=true
+     grep "^ *\^ *\^" ${temp} | sed -e "s/^ *\^ *\^//" -e "s/\^\ *:\ *\^.*/;/"
+ }
+ 

diff --git a/dev-scheme/guile/guile-1.8.8-r2.ebuild b/dev-scheme/guile/guile-1.8.8-r2.ebuild
new file mode 100644
index 0000000..2737d57
--- /dev/null
+++ b/dev-scheme/guile/guile-1.8.8-r2.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils autotools flag-o-matic elisp-common
+
+DESCRIPTION="Scheme interpreter"
+HOMEPAGE="https://www.gnu.org/software/guile/"
+SRC_URI="mirror://gnu/guile/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="networking +regex discouraged +deprecated emacs nls debug-freelist debug-malloc debug +threads"
+RESTRICT="!regex? ( test )"
+
+RDEPEND="
+	>=dev-libs/gmp-4.1:0=
+	>=sys-devel/libtool-1.5.6
+	sys-devel/gettext
+	sys-libs/ncurses:0=
+	emacs? ( virtual/emacs )"
+DEPEND="${RDEPEND}
+	sys-apps/texinfo"
+
+# Guile seems to contain some slotting support, /usr/share/guile/ is slotted,
+# but there are lots of collisions. Most in /usr/share/libguile. Therefore
+# I'm slotting this in the same slot as guile-1.6* for now.
+SLOT="12"
+MAJOR="1.8"
+
+src_prepare() {
+	epatch "${FILESDIR}/${P}-fix_guile-config.patch" \
+		"${FILESDIR}/${P}-gcc46.patch" \
+		"${FILESDIR}/${P}-gcc5.patch" \
+		"${FILESDIR}/${P}-makeinfo-5.patch" \
+		"${FILESDIR}/${P}-gtexinfo-5.patch"
+	sed \
+		-e "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g" \
+		-e "/AM_PROG_CC_STDC/d" \
+		-i guile-readline/configure.in
+	eautoreconf
+}
+
+src_configure() {
+	# see bug #178499
+	filter-flags -ftree-vectorize
+
+	#will fail for me if posix is disabled or without modules -- hkBst
+	econf \
+		--disable-error-on-warning \
+		--disable-static \
+		--enable-posix \
+		$(use_enable networking) \
+		$(use_enable regex) \
+		$(use deprecated || use_enable discouraged) \
+		$(use_enable deprecated) \
+		$(use_enable emacs elisp) \
+		$(use_enable nls) \
+		--disable-rpath \
+		$(use_enable debug-freelist) \
+		$(use_enable debug-malloc) \
+		$(use_enable debug guile-debug) \
+		$(use_with threads) \
+		--with-modules \
+		EMACS=no
+}
+
+src_compile()  {
+	emake
+
+	# Above we have disabled the build system's Emacs support;
+	# for USE=emacs we compile (and install) the files manually
+	if use emacs; then
+		cd emacs
+		elisp-compile *.el || die
+	fi
+}
+
+src_install() {
+	einstall
+
+	dodoc AUTHORS ChangeLog GUILE-VERSION HACKING NEWS README THANKS
+
+	# texmacs needs this, closing bug #23493
+	dodir /etc/env.d
+	echo "GUILE_LOAD_PATH=\"${EPREFIX}/usr/share/guile/${MAJOR}\"" > "${ED}"/etc/env.d/50guile
+
+	# necessary for registering slib, see bug 206896
+	keepdir /usr/share/guile/site
+
+	if use emacs; then
+		elisp-install ${PN} emacs/*.{el,elc} || die
+		elisp-site-file-install "${FILESDIR}/50${PN}-gentoo.el" || die
+	fi
+}
+
+pkg_postinst() {
+	[ "${EROOT}" == "/" ] && pkg_config
+	use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+	use emacs && elisp-site-regen
+}
+
+pkg_config() {
+	if has_version dev-scheme/slib; then
+		einfo "Registering slib with guile"
+		install_slib_for_guile
+	fi
+}
+
+_pkg_prerm() {
+	rm -f "${EROOT}"/usr/share/guile/site/slibcat
+}


^ permalink raw reply related	[flat|nested] 16+ messages in thread

end of thread, other threads:[~2024-06-08  8:55 UTC | newest]

Thread overview: 16+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-09-21 18:11 [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile/, dev-scheme/guile/files/ Amy Winston
  -- strict thread matches above, loose matches on Subject: below --
2024-06-08  8:55 Sam James
2023-07-03 17:51 Ulrich Müller
2023-01-04  4:32 Sam James
2022-03-15 19:25 Maciej Barć
2021-01-01  5:52 Sam James
2017-12-04 12:44 Amy Liffey
2017-11-27 12:47 Amy Liffey
2017-06-21 12:33 Fabian Groffen
2017-04-22 14:40 Amy Liffey
2016-08-12 19:11 Amy Winston
2016-08-07 19:10 Amy Winston
2016-06-27 16:09 Austin English
2015-10-12 23:24 Ryan Hill
2015-10-12 23:24 Ryan Hill
2015-10-12 23:24 Ryan Hill

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox